# ext/functional File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/functional.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _EXT_FUNCTIONAL

## Functions

- template<class _Operation1, class _Operation2> unary_compose< _Operation1,
  _Operation2 > compose1 (const _Operation1 &__fn1, const _Operation2 &__fn2)
- template<class _Operation1, class _Operation2, class _Operation3> binary_compose< _Operation1,
  _Operation2, _Operation3 > compose2 (const _Operation1 &__fn1, const _Operation2 &__fn2, const _Operation3 &__fn3)
- template<class _Result> constant_void_fun< _Result > constant0 (const _Result &__val)
- template<class _Result> constant_unary_fun< _Result,
  _Result > constant1 (const _Result &__val)
- template<class _Result> constant_binary_fun< _Result,
  _Result, _Result > constant2 (const _Result &__val)
- template<class _Tp> _Tp identity_element (std::multiplies< _Tp >)
- template<class _Tp> _Tp identity_element (std::plus< _Tp >)
- template<class _Ret, class _Tp, class _Arg> mem_fun1_t< _Ret, _Tp, _Arg > mem_fun1 (_Ret(_Tp::*__f)(_Arg))
- template<class _Ret, class _Tp, class _Arg> mem_fun1_ref_t< _Ret, _Tp,
  _Arg > mem_fun1_ref (_Ret(_Tp::*__f)(_Arg))